% Filename: Ahandbook.cls
% Author: Andriy Zhugayevych  azh@ukr.net

\NeedsTeXFormat{LaTeX2e}[1994/12/01]
\ProvidesClass{Ahandbook}[2008/03/25 Handbook class]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{Aarticle}}
\ProcessOptions\relax
\LoadClass[twoside]{Aarticle}


% Title and TOCs
\renewcommand{\maketitle}{
\thispagestyle{empty}
\begin{center}
{\LARGE\bfseries\@title\par}
\vskip 1ex
{\large\@author\par}
\vskip 0.5ex
{\normalsize\slshape\@date}
\end{center}
\if@notocs\else\par{\small\@starttoc{toc}}\fi}

% Default author
\if@ua
\author{Андрій Жугаєвич}
\else
\author{Andriy Zhugayevych}
\fi


% Headings
\pagestyle{headings}
\renewcommand{\@evenhead}{%
  \raisebox{0pt}[\headheight][0pt]{%
  \vbox{\hbox to\textwidth{\strut{\thepage\hfil\slshape\leftmark}}\hrule}}}
\renewcommand{\@oddhead}{%
  \raisebox{0pt}[\headheight][0pt]{%
  \vbox{\hbox to\textwidth{\strut{\hfil\thepage}}\hrule}}}
\renewcommand{\sectionmark}[1]{\markboth{#1}{}}


% Sections
\renewcommand{\section}{\@startsection{section}{1}{\z@}%
  {10ex   \@plus 1ex \@minus .2ex}{2.3ex \@plus .2ex}{\normalfont\Large\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
  {3.25ex \@plus 1ex \@minus .2ex}{1.5ex \@plus .2ex}{\normalfont\large\bfseries}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
  {3.25ex \@plus 1ex \@minus .2ex}{1.5ex \@plus .2ex}{\normalfont\normalsize\bfseries}}
% Inserting paragraph mark before and period after the section number 
\let\@@seccntformat\@seccntformat
\renewcommand*{\@seccntformat}[1]{%
  \expandafter\ifx\csname @seccntformat@#1\endcsname\relax
    \@@seccntformat{#1}
  \else
    \expandafter\csname @seccntformat@#1\endcsname \fi}
\newcommand*{\@seccntformat@section}{\hspace{\parindent}\S\thesection.\;}
\newcommand*{\@seccntformat@subsection}{\hspace{\parindent}\thesubsection.\;}


% Equation numbering
\@addtoreset{equation}{section}
\renewcommand{\theequation}{\arabic{section}.\arabic{equation}}


% Overfull warnings
\hfuzz3pt  % Don't bother to report overfull h-boxes < 3pt
\vfuzz3pt  % Don't bother to report overfull v-boxes < 3pt
