% Filename: lecture.cls
% Author: Andriy Zhugayevych  azh@ukr.net
% Options: notes - to print notes

\NeedsTeXFormat{LaTeX2e}[1994/12/01]
\ProvidesClass{Alecture}[2016/10/22 Presentation class]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{beamer}}
\ProcessOptions\relax
\LoadClass[xcolor=table]{beamer}

\hypersetup{pdfpagemode=FullScreen,pdfpagelayout=SinglePage,colorlinks}
\RequirePackage{pgfpages}

\DeclareOption*{}
\DeclareOption{notes}{\setbeameroption{show notes on second screen=bottom}}
\ProcessOptions\relax

\RequirePackage{Amath}
\RequirePackage{graphicx}
\RequirePackage{changepage}
\RequirePackage{relsize}


% Beamer setup
\usetheme{default}

\setbeamertemplate{navigation symbols}{}
\setbeamertemplate{footline}[frame number]
\setbeamerfont{note page}{size=\scriptsize,family=\rmfamily}
\setbeamertemplate{note page}{\let\\\@normalcr\@rightskip\z@skip\rightskip\@rightskip\leftskip\z@skip\parindent=1.5em\parskip=1ex\relax\hrule\insertnote\par}
\setbeamertemplate{itemize item}[circle]
\setbeamertemplate{itemize subitem}[triangle]


% Title page
\defbeamertemplate*{title page}{customized}[1][]
{
\centering
\vspace{2ex minus 1ex}
\usebeamercolor[fg]{title}\usebeamerfont{subtitle}\normalsize
\inserttitle\par
\vspace{1ex minus 1ex}
\usebeamerfont{title}
\textbf{\insertsubtitle}\par
\vspace{1.5ex minus 1ex}
\usebeamerfont{author}\color{black}\normalsize
\insertauthor\par
\vspace{1.5ex minus 1ex}
\color{gray}\footnotesize
\textsl{\insertdate}\par
\vspace{5ex minus 5ex}
}


% New commands
\renewcommand{\emph}[1]{{\color{red!70!black} #1}}
\newcommand{\ack}[1]{{\footnotesize\color{gray} #1}}
\newcommand{\defin}[1]{{\usebeamercolor[fg]{subtitle} #1}}
\newcommand{\cit}[1]{\mbox{\smaller\color{gray}[#1]}}
\newcommand{\selfcit}[1]{{\tiny\color{green!40!black} #1}}
\newcommand{\fnote}[2]{\vspace{#1 minus #1}\color{gray}\footnotesize\hrule\vspace{1ex minus 0.5ex} #2}
\newcommand{\bline}[1]{\textit{\color{red!75!black} #1}}
\newlength{\w}
\newcommand{\loose}{\setlength{\itemsep}{2ex minus 1ex}}
\newcommand{\tight}{\setlength{\itemsep}{0ex}}
\newcommand{\squeeze}{\setlength{\abovedisplayskip}{0.3ex minus 0.2ex}\setlength{\belowdisplayskip}{0.4ex minus 0.2ex}}
\newcommand{\Bigskip}{\vspace{4ex minus 1ex}}
\newcommand{\ruleskip}{\vspace{2ex minus 1.5ex}\hrule\vspace{2ex minus 1.5ex}}
\newcommand{\crule}[1]{\begin{column}{0.01\linewidth}\rule{0.5pt}{#1}\end{column}}
\newcommand{\mrow}[1]{\begin{tabular}{c} #1 \end{tabular}}
\newcommand{\Label}[1]{{\color{blue!70!black}#1.}}
\newcommand{\etal}{\textsl{et al}}
