% Filename: Alecturenotes.cls
% Author: Andriy Zhugayevych  azh@ukr.net

\NeedsTeXFormat{LaTeX2e}[1994/12/01]
\ProvidesClass{Alecturenotes}[2008/09/21 Lecture Notes class]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{Abook}}
\ProcessOptions\relax
\LoadClass[openany]{Abook}
\RequirePackage{Autil}


% Formatting TOC
\renewcommand*{\l@section}{\@dottedtocline{1}{1.5em}{1.5em}}
\renewcommand*{\l@subsection}{\@dottedtocline{2}{3.0em}{2.3em}}


% Default author
\if@ua
\author{Андрій Жугаєвич (a.zhugayevych@skoltech.ru)}
\else
\author{Andriy Zhugayevych (a.zhugayevych@skoltech.ru)}
\fi


% Headings
\pagestyle{headings}
\renewcommand{\@evenhead}{%
  \raisebox{0pt}[\headheight][0pt]{%
  \vbox{\hbox to\textwidth{\strut{\thepage\hfil\slshape\leftmark}}\hrule}}}
\renewcommand{\@oddhead}{%
  \raisebox{0pt}[\headheight][0pt]{%
  \vbox{\hbox to\textwidth{\strut{{\slshape\rightmark}\hfil\thepage}}\hrule}}}


% Sections
\renewcommand{\section}{\@startsection{section}{1}{\z@}%
  {3.5ex \@plus 1ex \@minus .2ex}{2.3ex \@plus.2ex}{\normalfont\Large\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
  {3.25ex\@plus 1ex \@minus .2ex}{1.5ex \@plus .2ex}{\normalfont\large\bfseries}}
% Reformat section headings
\newcommand{\@specindent}{\hspace{\parindent}}
\newcommand*{\@seccntformat@section}{\@specindent\S\thesection.\;}
\newcommand*{\@seccntformat@subsection}{\@specindent\thesubsection.\;}
% Define chapter and section numbering 
\renewcommand{\thechapter}{\Roman{chapter}}
\renewcommand{\thesection}{\arabic{section}}
% Remove resetting section counter
\@removefromreset{section}{chapter}


% Equation numbering
\@addtoreset{equation}{section}
\renewcommand{\theequation}{\thesection.\arabic{equation}}


% Some ukrainian settings
\if@ua
\addto\captionsukrainian{\def\bibname{{\cyr\CYRL\cyrii\cyrt\cyre\cyrr\cyra\cyrt\cyru\cyrr\cyra}}}
\addto\captionsukrainian{\def\indexname{{\cyr\CYRP\cyrr\cyre\cyrd\cyrm\cyre\cyrt\cyrn\cyri\cyrishrt\ \cyrp\cyro\cyrk\cyra\cyrzh\cyrch\cyri\cyrk}}}
\fi
