% Filename: Ataskbook.cls
% Author: Andriy Zhugayevych  azh@ukr.net
% Options:  nosol - do not print solutions
%           nocom - no editors comments

\NeedsTeXFormat{LaTeX2e}[1994/12/01]
\ProvidesClass{Ataskbook}[2008/03/25 Taskbook class]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{Aarticle}}
\ProcessOptions\relax
\LoadClass[twoside]{Aarticle}

\newif\if@nosol
\newif\if@nocom
\DeclareOption*{}
\DeclareOption{nocom}{\@nocomtrue}
\DeclareOption{nosol}{\@nosoltrue}
\ProcessOptions\relax


% Title and TOCs
\renewcommand{\maketitle}{
\thispagestyle{empty}
\begin{center}
{\LARGE\bfseries\@title\par}
\vskip 1ex
{\large\@author\par}
\vskip 0.5ex
{\normalsize\slshape\@date}
\end{center}
\if@notocs\else\par{\small\@starttoc{toc}}\fi}

% Formatting TOC
\renewcommand*{\l@section}{\@dottedtocline{1}{1.5em}{1.5em}}

% Default author
\if@ua
\author{Андрій Жугаєвич (azh@ukr.net)}
\else
\author{Andriy Zhugayevych (azh@ukr.net)}
\fi


% Sections
\renewcommand{\section}{\@startsection{section}{1}{\z@}%
  {3.5ex \@plus 1ex \@minus .2ex}{2.3ex \@plus.2ex}{\normalfont\Large\bfseries}}
% Inserting paragraph mark before and period after the section number 
\let\@@seccntformat\@seccntformat
\renewcommand*{\@seccntformat}[1]{%
  \expandafter\ifx\csname @seccntformat@#1\endcsname\relax
    \@@seccntformat{#1}
  \else
    \expandafter\csname @seccntformat@#1\endcsname \fi}
\newcommand*{\@seccntformat@section}{\hspace{\parindent}\S\thesection.\;}



% task and Solutions commands
\newcounter{task}[section]
\newcommand{\task}{\hangindent=1em\noindent\refstepcounter{task}\thetask. }
\renewcommand{\p@task}{\thesection.}
\newcommand{\sol}[1]{\hangindent=1em\noindent \ref{#1}.}
\newcommand{\solsep}{\medskip\hrule\bigskip}
\if@ua
\newcommand{\Solutions}[1]{\newpage\section*{Розв'язки}\addcontentsline{toc}{section}{Розв'язки}\markboth{Розв'язки}{} #1}
\else
\newcommand{\Solutions}[1]{\newpage\section*{Solutions}\addcontentsline{toc}{section}{Solutions}\markboth{Solutions}{} #1}
\fi
\if@nosol\renewcommand{\Solutions}[1]{}\fi


% Editors comments
\if@nocom
\newcommand{\ed}[1]{}
\else
\newcommand{\ed}[1]{{\medskip\small*\textit{#1}}}
\fi

% Common comment to similar tasks
\newcommand{\co}[1]{\medskip\noindent #1 \medskip}

% Skip section
\newcommand{\sk}{\addtocounter{section}{1}}


% Overfull warnings
\hfuzz3pt  % Don't bother to report overfull h-boxes < 3pt
\vfuzz3pt  % Don't bother to report overfull v-boxes < 3pt
